# Tagsy

Tagsy is a very lightweight (3.2KB both JS and CSS files) tag input plugin for Bootstrap &amp; jQuery.

 
### Features
* **Objects as data**: You can  set both label and value for each tags.   
* **Auto complete**: See suggestions as you type.  
* **jQuery plugin**: It simply works like any other jQuery plugin.  
* **Bootstrap compatible**: UI is completely based on Twitter Bootstrap 3.

### Installation

To install using bower just run:

`bower install tagsy`

### Quick start
After including both `tagsy.js` and `tagsy.css` files, assign tagsy to a `div` element:
 
    <div id="tagsy"></div>
    
    <script type="text/javascript">
	$(function(){
	    $('#tagsy').tagsy();
	});
    </script>

### More options

| Option   |      Description      |  default value |
|----------|-----------------------|:----------------:|
| `placeholder` | Input placeholder text | `Enter a tag` |
| `data` | JSON formatted array of available data. Like this: [{label: 'Shiraz', value: 1}, {label: 'Isfahan', value: 2}] | `[]` |
| `items` | Default selected items | `[]` |
| `max` | Maximum tags user can input | `10`
| `allowFreeEntry` | If true, user can select a tag which doen't exists in `data` option. | `true`
